%define name		xblast
%define major_version	2.6
%define minor_version	1
%define version		%{major_version}.%{minor_version}
%define release		4mdk
%define summary		The X11 bomberman clone

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Icon:		%{name}.gif
Group:		Games/Arcade
Source0:	ftp://metalab.unc.edu/pub/linux/games/arcade/%{name}-%{version}.sound.tar.bz2
Source1:	%{name}_48x48.png.bz2
Source2:	%{name}_32x32.png.bz2
Source3:	%{name}_16x16.png.bz2
URL:		http://www.xblast-center.com/
BuildRequires:	XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
XBlast is a multi-player arcade game for X11R5/R6. The game can be played
with at least two players and up to four players. It was inspired by
the video/computer game Bomberman(Dynablaster), which was to my
knowledge first programmed for NEC's PC Engine/Turbo Grafx. Other
(commercial) versions of the original game exist for IBM-PC, Atari ST,
Amiga, NES, GameBoy and Super NES.

%prep
%setup -n XBlast-%{major_version}-sound

%build
xmkmf -a
touch xbsndsrv.man
make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
%makeinstall DESTDIR=$RPM_BUILD_ROOT install.man
# icons

mkdir -p $RPM_BUILD_ROOT%{_liconsdir}/
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}/

bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png 
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_prefix}/X11R6/bin/%{name}"\\
	needs="text"\\
	icon="%{name}.png"\\
	section="Amusement/Arcade"\\
	title="XBlast" \
	longtitle="%{summary}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc COPYING INSTALL MAILING_LIST README WEB_SITE
%config(noreplace) %{_sysconfdir}/X11/app-defaults/XBlast
%{_prefix}/X11R6/bin/xblast
%{_prefix}/X11R6/bin/xbsndsrv
%{_prefix}/X11R6/lib/X11/xblast
%{_prefix}/X11R6/man/man1/xblast.*
%{_prefix}/X11R6/man/man1/xbsndsrv.*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Sun Jan 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6.1-4mdk
- new url

* Mon Jun 10 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.6.1-3mdk
- png icons (out xpm!)

* Thu Oct 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.6.1-2mdk
- fixed by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- icons in right place

* Wed Jul 18 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.6.1-1mdk
- first mdk version
